import { defineMock } from "../base";

export default defineMock([
  {
    url: "dataCollection/page",
    method: ["GET"],
    body: {
      code: "00000",
      data: {
        list: [
          {
            id: 1,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "2",
            sensorType: "振动",
            sensorCoordinates: "A10",
            time: "2024-03-26 11:35:56",
            validValue: "0.210069342000400",
            maxValue: "0.224300636823651",
            healthStatus: 1,
          },
          {
            id: 2,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "2",
            sensorType: "振动",
            sensorCoordinates: "A11",
            time: "2024-03-26 11:35:56",
            validValue: "0.21040204167366",
            maxValue: "-0.0177574195647",
            healthStatus: 1,
          },
          {
            id: 3,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "3",
            sensorType: "振动",
            sensorCoordinates: "A12",
            time: "2024-03-26 11:35:56",
            validValue: "0.209233790636036",
            maxValue: "0.07523538174526",
            healthStatus: 1,
          },
          {
            id: 4,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "4",
            sensorType: "振动",
            sensorCoordinates: "A13",
            time: "2024-03-26 11:35:56",
            validValue: "0.211453402800669",
            maxValue: "0.16496707632154",
            healthStatus: 1,
          },
          {
            id: 5,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "5",
            sensorType: "压力",
            sensorCoordinates: "B21",
            time: "2024-03-26 11:35:56",
            validValue: "-3.046634829124908",
            maxValue: "-3.03802514032163",
            healthStatus: 1,
          },
          {
            id: 6,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "6",
            sensorType: "压力",
            sensorCoordinates: "B22",
            time: "2024-03-26 11:35:56",
            validValue: "-9.74457550048828",
            maxValue: "-9.73577594723653",
            healthStatus: 1,
          },
          {
            id: 7,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "7",
            sensorType: "流速",
            sensorCoordinates: "C31",
            time: "2024-03-26 11:35:56",
            validValue: "-2.54472327232361",
            maxValue: "-2.54447360412365",
            healthStatus: 1,
          },
          {
            id: 8,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "8",
            sensorType: "流速",
            sensorCoordinates: "C32",
            time: "2024-03-26 11:35:56",
            validValue: "-2.66635298728943",
            maxValue: "-2.66610383915432",
            healthStatus: 1,
          },
          {
            id: 9,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "9",
            sensorType: "温度",
            sensorCoordinates: "D41",
            time: "2024-03-26 11:35:56",
            validValue: "-137.339324951172",
            maxValue: "-137.30499261248654",
            healthStatus: 1,
          },
          {
            id: 10,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "10",
            sensorType: "温度",
            sensorCoordinates: "D42",
            time: "2024-03-26 11:35:56",
            validValue: "-160.112747192383",
            maxValue: "-160.07223514598321",
            healthStatus: 1,
          },
          {
            id: 11,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "11",
            sensorType: "温度",
            sensorCoordinates: "D43",
            time: "2024-03-26 11:35:56",
            validValue: "-169.500579833984",
            maxValue: "-169.44480893652984",
            healthStatus: 1,
          },
          {
            id: 12,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "12",
            sensorType: "温度",
            sensorCoordinates: "D44",
            time: "2024-03-26 11:35:56",
            validValue: "-108.504341125488",
            maxValue: "-108.48224634856327",
            healthStatus: 1,
          },
          {
            id: 13,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "13",
            sensorType: "交流电",
            sensorCoordinates: "E51",
            time: "2024-03-26 11:35:56",
            validValue: "0.00581519678235054",
            maxValue: "0.00693559734236953",
            healthStatus: 1,
          },
          {
            id: 14,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "14",
            sensorType: "交流电",
            sensorCoordinates: "E52",
            time: "2024-03-26 11:35:56",
            validValue: "0.062148357956423",
            maxValue: "0.06594863214756",
            healthStatus: 1,
          },
          {
            id: 15,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "15",
            sensorType: "湿度",
            sensorCoordinates: "O75",
            time: "2024-03-26 11:35:56",
            validValue: "57.5",
            maxValue: "60.0",
            healthStatus: 1,
          },
          {
            id: 16,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "16",
            sensorType: "振动",
            sensorCoordinates: "P80",
            time: "2024-03-26 11:35:56",
            validValue: "0.206",
            maxValue: "0.216",
            healthStatus: 1,
          },
          {
            id: 17,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "17",
            sensorType: "压力",
            sensorCoordinates: "Q85",
            time: "2024-03-26 11:35:56",
            validValue: "101.5",
            maxValue: "104.0",
            healthStatus: 1,
          },
          {
            id: 18,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "18",
            sensorType: "温度",
            sensorCoordinates: "R90",
            time: "2024-03-26 11:35:56",
            validValue: "23.5",
            maxValue: "25.0",
            healthStatus: 1,
          },
          {
            id: 19,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "19",
            sensorType: "湿度",
            sensorCoordinates: "S95",
            time: "2024-03-26 11:35:56",
            validValue: "59.0",
            maxValue: "63.5",
            healthStatus: 1,
          },
          {
            id: 20,
            siteName: "站点1",
            siteNumber: "1",
            channelNumber: "20",
            sensorType: "振动",
            sensorCoordinates: "T100",
            time: "2024-03-26 11:35:56",
            validValue: "0.207",
            maxValue: "0.217",
            healthStatus: 1,
          },
        ],
        total: 20,
      },
      msg: "一切ok",
    },
  },
]);

// 角色映射表数据
// const roleMap: Record<string, any> = {
//   2: {
//     id: 2,
//     name: "系统管理员",
//     code: "ADMIN",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   3: {
//     id: 3,
//     name: "访问游客",
//     code: "GUEST",
//     status: 1,
//     sort: 3,
//     createTime: "2021-05-26 15:49:05",
//     updateTime: "2019-05-05 16:00:00",
//   },
//   4: {
//     id: 4,
//     name: "系统管理员1",
//     code: "ADMIN1",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   5: {
//     id: 5,
//     name: "系统管理员2",
//     code: "ADMIN2",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },

//   6: {
//     id: 6,
//     name: "系统管理员3",
//     code: "ADMIN3",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   7: {
//     id: 7,
//     name: "系统管理员4",
//     code: "ADMIN4",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   8: {
//     id: 8,
//     name: "系统管理员5",
//     code: "ADMIN5",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   9: {
//     id: 9,
//     name: "系统管理员6",
//     code: "ADMIN6",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: "2023-12-04 11:43:15",
//   },
//   10: {
//     id: 10,
//     name: "系统管理员7",
//     code: "ADMIN7",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
//   11: {
//     id: 11,
//     name: "系统管理员8",
//     code: "ADMIN8",
//     status: 1,
//     sort: 2,
//     createTime: "2021-03-25 12:39:54",
//     updateTime: null,
//   },
// };
