import request from "@/utils/request";

const dataCollection_BASE_URL = "/api/v1/dataCollection";

class dataCollectionAPI {
  /** 获取角色分页数据 */
  static getPage(queryParams?: dataCollectionPageQuery) {
    return request<any, PageResult<dataCollectionPageVO[]>>({
      url: `${dataCollection_BASE_URL}/page`,
      method: "get",
      params: queryParams,
    });
  }
}
export default dataCollectionAPI;

export interface dataCollectionPageQuery extends PageQuery {
  /** 搜索关键字 */
  keywords?: string;
}

/** 分页对象 */
export interface dataCollectionPageVO {
  id?: number;
  siteName?: string;
  siteNumber?: string;
  channelNumber?: string;
  sensorType?: string;
  sensorCoordinates?: string;
  time?: string;
  validValue?: string;
  maxValue?: string;
  healthStatus?: number;
}
