import request from "@/utils/request";

const experimentalData_BASE_URL = "/api/v1/experimentalData";

class experimentalDataAPI {
  /** 获取角色分页数据 */
  static getPage(queryParams?: experimentalDataPageQuery) {
    return request<any, PageResult<experimentalDataPageVO[]>>({
      url: `${experimentalData_BASE_URL}/page`,
      method: "get",
      params: queryParams,
    });
  }
}
export default experimentalDataAPI;

export interface experimentalDataPageQuery extends PageQuery {
  /** 搜索关键字 */
  keywords?: string;
}

/** 分页对象 */
export interface experimentalDataPageVO {
  id?: number;
  siteName?: string;
  siteNumber?: string;
  channelNumber?: string;
  sensorType?: string;
  sensorCoordinates?: string;
  time?: string;
  validValue?: string;
  maxValue?: string;
  healthStatus?: number;
}
